Subject: bug#66071: 30.0.50; term-scroll-to-bottom-on-output missing choices

From: Mauro Aranda <[email-masked]>
Date: Mon, 18 Sep 2023 12:12:41 -0300

On 18/9/23 11:20, Robert Pluim wrote:
 > On Mon, 18 Sep 2023 09:20:07 -0300, Mauro Aranda 
<[email-masked]> said:
 >     Mauro> Patch attached.
 >
 >     Mauro> From d891a9f705b3b4af2aedeed645f4636535ea6c2e Mon Sep 17 
00:00:00 2001
 >     Mauro> From: Mauro Aranda <[email-masked]>
 >     Mauro> Date: Mon, 18 Sep 2023 09:19:04 -0300
 >     Mauro> Subject: [PATCH] Fix term-scroll-to-bottom-on-output :type 
(Bug#66071)
 >
 >     Mauro> * lisp/term.el (term-scroll-to-bottom-on-output): Add 
missing choices.
 >     Mauro> ---
 >     Mauro>  lisp/term.el | 5 ++++-
 >     Mauro>  1 file changed, 4 insertions(+), 1 deletion(-)
 >
 >     Mauro> diff --git a/lisp/term.el b/lisp/term.el
 >     Mauro> index b8466b21332..5dd73447cfb 100644
 >     Mauro> --- a/lisp/term.el
 >     Mauro> +++ b/lisp/term.el
 >     Mauro> @@ -494,7 +494,10 @@ term-scroll-to-bottom-on-output
 >
 >     Mauro>  See variable `term-scroll-show-maximum-output'.
 >     Mauro>  This variable is buffer-local."
 >     Mauro> -  :type 'boolean
 >     Mauro> +  :type '(choice (const :tag "Don't scroll" nil)
 >     Mauro> +                 (const :tag "Scroll selected window 
only" this)
 >     Mauro> +                 (const :tag "Scroll unselected windows" 
others)
 >     Mauro> +                 (other :tag "Scroll all windows" t))
 >     Mauro>    :group 'term)
 >
 > The code (and the docstring) also mention 'all.

I know, that's why I put other, to catch either t or 'all, since it
doesn't make sense to have 2 different items for the same option. And
adding something to match only t or 'all didn't seem worth the trouble.

Am I missing something?